%define upstream_name    TestML
%define upstream_version 0.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Module::Install Support for TestML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
TestML is a generic, programming language agnostic, meta language for
writing unit tests. The idea is that you can use the same test files in
multiple implementations of a given programming idea. Then you can be more
certain that your application written in, say, Python matches your Perl
implementation.

In a nutshell you write a bunch of data tests that have inputs and expected
results. Using a simple syntax, you specify what functions the data must
pass through to produce the expected results. You use a bridge class to
write the data transform functions that pass the data through your
application.

In Perl 5, TestML is the evolution of the the Test::Base manpage module. It
has a superset of Test:Base's goals. The data markup syntax is currently
exactly the same as Test::Base.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.550.0-3.mga10
+ Revision: 2202593
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.550.0-2.mga9
+ Revision: 1808115
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 tv <tv> 0.550.0-1.mga8
+ Revision: 1502361
- update to 0.55
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.520.0-4.mga7
+ Revision: 1271963
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.520.0-3.mga6
+ Revision: 1034338
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.520.0-2.mga6
+ Revision: 968536
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.520.0-1.mga6
+ Revision: 852956
- update to 0.52

* Wed Oct 15 2014 umeabot <umeabot> 0.480.0-3.mga5
+ Revision: 739999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.480.0-2.mga5
+ Revision: 686590
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.480.0-1.mga5
+ Revision: 664280
- update to 0.48

* Fri Aug 15 2014 sander85 <sander85> 0.440.0-1.mga5
+ Revision: 662621
- update to 0.44

* Sun Aug 10 2014 sander85 <sander85> 0.430.0-1.mga5
+ Revision: 661458
- update to 0.43

* Thu Aug 07 2014 sander85 <sander85> 0.420.0-1.mga5
+ Revision: 660388
- update to 0.42

* Sun Aug 03 2014 sander85 <sander85> 0.390.0-1.mga5
+ Revision: 659446
- update to 0.39

* Thu Jun 26 2014 jquelin <jquelin> 0.360.0-1.mga5
+ Revision: 640022
- update to 0.36

* Mon Jun 16 2014 sander85 <sander85> 0.350.0-1.mga5
+ Revision: 637618
- update to 0.35

* Sun Jun 15 2014 sander85 <sander85> 0.340.0-1.mga5
+ Revision: 636586
- update to 0.34

* Tue Jun 10 2014 sander85 <sander85> 0.330.0-1.mga5
+ Revision: 635451
- update to 0.33

* Sat Jun 07 2014 sander85 <sander85> 0.320.0-1.mga5
+ Revision: 634555
- update to 0.32

* Tue May 20 2014 sander85 <sander85> 0.310.0-1.mga5
+ Revision: 624509
- update to 0.31

* Mon Feb 17 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 593722
- update to 0.30

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 515480
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 373962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 shlomif <shlomif> 0.280.0-1.mga3
+ Revision: 316788
- SHA1
- New version 0.28

* Fri Sep 07 2012 shlomif <shlomif> 0.270.0-1.mga3
+ Revision: 289246
- update to 0.27

* Mon Jan 30 2012 shlomif <shlomif> 0.260.0-1.mga2
+ Revision: 203434
- imported package perl-TestML


* Mon Jan 30 2012 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
